#
# spec file for package icmpinfo (Version 1.11)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           icmpinfo
License:        BSD-3-Clause
Group:          Productivity/Networking/Diagnostic
Requires:       net-tools netcfg
AutoReqProv:    on
Version:        1.11
Release:        714.5
Summary:        A Tool for Looking at ICMP Messages
Url:            http://www.demailly.com/~dl/softs.html
Source:         icmpinfo-%{version}.tar.gz
Source1:        COPYRIGHT
Patch:          icmpinfo-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool for looking at the ICMP messages received on the running host.



Authors:
--------
    Laurent Demailly <dl@hplyot.obspm.fr>

%prep
%setup
%patch

%build
make CFLAGS="-D_BSD_SOURCE $RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
cp %{S:1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NocTools.Infos TODO CHANGES DOC COPYRIGHT
%doc %{_mandir}/man?/*
/usr/sbin/icmpinfo

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jun  8 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Feb 21 2001 cihlar@suse.cz
- package separated from nkita
